Bug 471956 - crashes and hangs with evolution 2.24.1.1
crashes and hangs with evolution 2.24.1.1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 16:04 EST by Thomas J. Baker
Modified: 2009-12-18 01:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:52:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Initial backtrace of evolution / evo-exchange (12.30 KB, text/plain)
2008-11-18 09:14 EST, Peter Robinson
no flags Details
full evolution bt when running through gdb (22.08 KB, text/plain)
2008-11-18 13:17 EST, Peter Robinson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 558281 None None None Never

  None (edit)
Description Thomas J. Baker 2008-11-17 16:04:15 EST
Since the upgrade to 2.24.1.1, I've been experiencing crashes and hangs with evolution. The crashes almost always happen when either selecting all messages in a folder or expunging a folder. Evolution just vaporizes with no error messages. I've been running with CAMEL_VERBOSE_DEBUG on and it doesn't show anything helpful in the .xsession-errors file. I've also experienced complete lockups, again usually when expunging a folder. 

I don't know if it helps but none of these problems occurred with just 2.24.1.
Comment 1 Thomas J. Baker 2008-11-17 16:30:56 EST
CTRL-A,CTRL-D,CTRL-E very quickly is one way to make it happen semi-regularly.
Comment 2 Peter Robinson 2008-11-18 09:13:41 EST
I'm seeing very similar errors with evolution on F-10 with evolution-exchange

I'm running the following versions

$ rpm -qa| grep evolution
evolution-data-server-debuginfo-2.24.1-2.fc10.x86_64
evolution-data-server-2.24.1-2.fc10.x86_64
evolution-exchange-2.24.1-2.fc10.x86_64
evolution-help-2.24.1-2.fc10.x86_64
evolution-2.24.1-2.fc10.x86_64
evolution-webcal-2.23.91-1.fc10.x86_64
evolution-perl-2.24.1-2.fc10.x86_64

I have a backtrace but without all the debuginfo installed so I'll attach it for reference and will install all the debuginfo packages I think it needs to see if I can't get more details.
Comment 3 Peter Robinson 2008-11-18 09:14:38 EST
Created attachment 323898 [details]
Initial backtrace of evolution / evo-exchange
Comment 4 Peter Robinson 2008-11-18 13:17:38 EST
Created attachment 323942 [details]
full evolution bt when running through gdb

The attached file has a full backtrace with all the debuginfo packages installed when running through gdb. Once I got the segfault I did a "thread apply all bt" and the full run output is in the attached file.
Comment 5 Thomas J. Baker 2008-11-19 10:04:48 EST
I noticed that since the glibc update on Monday, evolution always segfaults when I quit. This is on three different systems running rawhide. On my system with an nfs mounted home directory, I just had it totally break evolution. It would start back up but never present a window. The last thing in the printed to the screen with verbose debug set was this:

===========
DB SQL operation [PRAGMA cache_size=100] started
Camel SQL Exec:
PRAGMA cache_size=100


I had to blow away the .evolution/mail/imap/<account>/folders.db to get evolution to work again.
Comment 6 Milan Crha 2008-11-19 10:41:44 EST
Thanks for the bug report. I looked to the upstream bugzilla and found one bug with very similar trace, only the circumstances are a bit different (reporter there only opens Evolution). I'll use the upstream bug [1] to track this problem.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=558281




(In reply to comment #5)
> I noticed that since the glibc update on Monday, evolution always segfaults
> when I quit. This is on three different systems running rawhide. ...

Thomas, can you file a separate bug for your issue, with a gdb trace like in comment #4 when Evolution crashes/freezes, so we can try to find where is the problem? Thanks in advance.
Comment 7 Peter Robinson 2008-11-20 02:40:25 EST
Please don't close this bug until its actually fixed in Fedora. In the very least it gives a bug to assign dupes to and for people to find and search against.
Comment 8 Bug Zapper 2008-11-26 00:31:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Peter Robinson 2008-12-01 18:33:00 EST
This seems a lot more stable for me with evolution 2.24.2. Anyone else see improvements?
Comment 10 Thomas J. Baker 2008-12-02 09:21:09 EST
I still see hangs but most of them seem to eventually recover if I wait long enough (30-90 seconds).
Comment 11 Peter Robinson 2008-12-18 09:48:04 EST
The 2.24.2 release has mostly fixed my issues. Thomas I'll leave you to decide when you want to close the bug if its fixed your issue or not.
Comment 12 Bojan Smojver 2008-12-18 16:35:06 EST
There are still crashes, even with the latest version 2.24.2-2.fc10. For instance, viewing of some inline attachments will cause it to crash. Also, when connecting to exchange, it often hangs.
Comment 13 Milan Crha 2008-12-19 06:13:21 EST
(In reply to comment #12)
> There are still crashes, even with the latest version 2.24.2-2.fc10. For
> instance, viewing of some inline attachments will cause it to crash.

Can you file some bug for this, the best with some sample mail with which you can reproduce it reliably? Feel free as a private bug and/or with stripped private information, of course.

> Also, when connecting to exchange, it often hangs.

Can you install debug info packages for evolution, evolution-data-server, evolution-exchange, gtkhtml3 and create a bug with a stack trace of the hang Evolution? I would like to look at it, but it requires more detailed information.

Thanks in advance, for both.
Comment 14 Matthew Barnes 2009-01-27 12:41:19 EST
Is this problem still present with the latest Fedora 10 updates?
Comment 15 Thomas J. Baker 2009-01-29 10:33:57 EST
I don't recall seeing any non recovered hangs recently though I've grown more patient as Evolution can be quite slow at times.
Comment 16 Peter Robinson 2009-05-13 07:10:40 EDT
Is this an issue still?
Comment 17 Thomas J. Baker 2009-05-14 12:04:55 EDT
I've moved to Fedora 11 Beta and things are largely the same. No crashes but general interface lockups that eventually recover. Every once in a while, it hangs completely but it happens to rarely that I can't discern a pattern. It is also still quite slow.
Comment 18 Matthew Barnes 2009-05-14 12:59:26 EDT
The speed issue may be improved by running
http://www.gnome.org/~sragavan/evolution-rebuild-summarydb
Comment 19 Thomas J. Baker 2009-05-14 13:59:08 EDT
Thanks for that. It does seem to have improved the speed quite a bit. Would putting this in a crontab to run each night be recommended?
Comment 20 Matthew Barnes 2009-05-14 16:05:55 EDT
Each night might be a little excessive.  Maybe weekly or monthly.  We're working on getting that to run automatically in the background without tying up the whole application.
Comment 21 Bug Zapper 2009-11-18 03:53:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2009-12-18 01:52:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.